Pagina 2 di 9 PrimaPrima 1234 ... UltimaUltima
Risultati da 11 a 20 di 87

Discussione: [MACRO] - Apri DFT

  1. #11
    Utente Junior L'avatar di sergio_moni
    Iscritto dal
    2008
    Messaggi
    20
    Professione
    Progettista (dicono...)
    Regione
    Toscana
    Software
    icchè c'è c'è

    Predefinito

    hai ragione, avevo aperto DAP, l'ho disattivato e ho potuto scaricare senza problemi.
    Non sapevo che questo programma dava problemi.
    Grazie a tutti
    Sergio

  2. #12
    SE_User
    Visitatore

    Predefinito

    Citazione Originariamente Scritto da sergio_moni Visualizza Messaggio
    hai ragione, avevo aperto DAP, l'ho disattivato e ho potuto scaricare senza problemi.
    Non sapevo che questo programma dava problemi.
    Grazie a tutti
    Sergio
    Io uso FDM: free download manager. Molto più funzionale di DAP che ho abbandonato da un po di tempo.

  3. #13
    Utente poco attivo
    Iscritto dal
    2008
    Messaggi
    6
    Professione
    progettista
    Regione
    friuli v.g.
    Software
    solid edge

    Predefinito

    Qualcuno mi sa dire dove posso trovare la guida di programmazione di solid edge.
    vorrei capire come creare delle macro.
    A me servirebbe una che mi apre i vari solidi e mi aggiorna il pezzo in modo da poterlo visualizzare nelle anteprime nelle cartelle di windows, per una rapida ricerca.
    Al max qualcuno mi può dare qualche consiglio per iniziare lo sviluppo di una macro
    in modo da capire come si fanno.

  4. #14
    SE_User
    Visitatore

    Predefinito

    La guida la tovi dentro a SE, vai sul menù '?' e vai alal voce 2Programmazione con solid Edge"

  5. #15
    Utente Junior
    Iscritto dal
    2007
    Messaggi
    27
    Professione
    disegnatore
    Regione
    abruzzo
    Software
    solid edge

    Predefinito

    ciao be on edge, la macro è una figata
    però per come abbiamo strutturato le cartelle non me lo apre il dft
    ti spiego:
    cartelle principale dove risiedono i .par con sottocartelle disegni2d(dft), gruppi(.asm) che a sua volta ha una sottocartella con sottogruppi(.asm).
    hai una soluzione?
    grazie

  6. #16
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2764
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da maveric Visualizza Messaggio
    ciao be on edge, la macro è una figata
    però per come abbiamo strutturato le cartelle non me lo apre il dft
    ti spiego:
    cartelle principale dove risiedono i .par con sottocartelle disegni2d(dft), gruppi(.asm) che a sua volta ha una sottocartella con sottogruppi(.asm).
    hai una soluzione?
    grazie
    Si dovrebbe modificare la macro per cercare i dft ad un livello superiore e se non lo trova a due livelli superiori. Una gestione delle cartelle come la tua è molto anomala comunque.

    Ciao
    Francesco
    Cintura nera di solid edge

  7. #17
    Moderatore L'avatar di Be_on_edge
    Iscritto dal
    2007
    Messaggi
    2764
    Professione
    Progettazione
    Regione
    Emilia Romagna
    Software
    Solid Edge

    Predefinito

    Citazione Originariamente Scritto da Be_on_edge Visualizza Messaggio
    Si dovrebbe modificare la macro per cercare i dft ad un livello superiore e se non lo trova a due livelli superiori. Una gestione delle cartelle come la tua è molto anomala comunque.

    Ciao
    Ti allego il codice sorgente:

    Private Sub Main()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgePart.PartDocument
    Dim objPar As SolidEdgePart.PartDocument
    Dim objPsm As SolidEdgePart.SheetMetalDocument
    Dim objAsm As SolidEdgeAssembly.AssemblyDocument
    Dim objDft As SolidEdgeDraft.DraftDocument

    Dim objSelectSet As SolidEdgeFramework.SelectSet

    Dim strActEnv As String
    Dim name As String
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")

    If Err Then
    Err.Clear
    Set objApp = CreateObject("SolidEdge.Application")
    Set objDoc = objApp.Documents.Add("SolidEdge.PartDocument")
    objApp.Visible = True
    Else
    Set objDoc = objApp.ActiveDocument
    Set objAsm = objApp.ActiveDocument
    Set objPar = objApp.ActiveDocument
    Set objPsm = objApp.ActiveDocument
    End If

    strActEnv = objApp.ActiveEnvironment

    If strActEnv = "Assembly" Then
    Count = objAsm.SelectSet.Count
    If Count = 0 Then
    name = objAsm.FullName
    Else
    For i = 1 To Count
    name = objAsm.SelectSet(i).OccurrenceFileName
    If name = "" Then name = objAsm.SelectSet(i).Object.OccurrenceDocument.Full Name
    l = Len(name)
    dftname = Left(name, l - 3) + "dft"
    Set objDft = objApp.Documents.Open(dftname)
    objDft.InactiveDrawingViewMode = True
    name = ""
    Next
    End
    End If
    Else

    If strActEnv = "Part" Then
    name = objPar.FullName
    Else
    If strActEnv = "SheetMetal" Then
    name = objPsm.FullName
    End If
    End If
    End If

    l = Len(name)
    dftname = Left(name, l - 3) + "dft"

    Set objDft = objApp.Documents.Open(dftname)
    objDft.InactiveDrawingViewMode = True

    Set objApp = Nothing
    Set objDoc = Nothing

    End Sub
    Francesco
    Cintura nera di solid edge

  8. #18
    Utente Junior
    Iscritto dal
    2007
    Messaggi
    27
    Professione
    disegnatore
    Regione
    abruzzo
    Software
    solid edge

    Predefinito

    ti ringrazio be_on_edge ma purtroppo non capisco nulla di visual basic,
    da quello che ho capito bisogna modificarla in base alle mie esigenze.
    giusto?

  9. #19
    Utente Junior
    Iscritto dal
    2008
    Messaggi
    76
    Professione
    Progettista
    Regione
    Piemonte
    Software
    Visi - Cocreate - Solid Edge v20 & ST - OSM - SolidWorks 2016 - Inventor

    Predefinito

    Bellissima e utilissima macro, ma la mia domanda è questa:

    E' normale non riuscire ad aggiornare il dft quando si usa il comando?

    Grazie!

  10. #20
    Utente Senior L'avatar di Marco74
    Iscritto dal
    2007
    Messaggi
    1233
    Professione
    Sviluppo lamiera per taglio laser, piegatura e assemblaggio
    Regione
    Veneto - Emilia
    Software
    Solid Edge ST9 - Autocad Mechanical 2017- Lantek

    Predefinito

    Citazione Originariamente Scritto da fabiovello Visualizza Messaggio
    Bellissima e utilissima macro, ma la mia domanda è questa:

    E' normale non riuscire ad aggiornare il dft quando si usa il comando?

    Grazie!
    Intendi aggiornare automaticamente il dft alla sua apertura con la macro?
    Ciao.


  • Pagina 2 di 9 PrimaPrima 1234 ... UltimaUltima

    Discussioni Simili

    1. Macro x PDF
      Di BOSCO '71 nel forum Solid Edge
      Risposte: 93
      Ultimo Messaggio: 05-09-2017, 16: 07
    2. Macro (VBA) e BOM
      Di Avoplus nel forum Inventor
      Risposte: 0
      Ultimo Messaggio: 08-03-2010, 23: 32
    3. Apri dft "avanzato"
      Di ipotemusa nel forum Solid Edge
      Risposte: 1
      Ultimo Messaggio: 30-11-2009, 19: 33
    4. Macro ???
      Di BOSCO '71 nel forum Solid Edge
      Risposte: 12
      Ultimo Messaggio: 28-08-2009, 23: 42
    5. Apri IME
      Di lostico nel forum NX (Unigraphics)
      Risposte: 0
      Ultimo Messaggio: 28-04-2008, 16: 03

    Segnalibri

    Segnalibri

    Permessi di Scrittura

    • Tu non puoi inviare nuove discussioni
    • Tu non puoi inviare risposte
    • Tu non puoi inviare allegati
    • Tu non puoi modificare i tuoi messaggi
    •  





    CAD3D.it - la community dei progettisti